| The Gaudi Framework v32r1 (f65d50dc)

Classes | Functions
GaudiDict Namespace Reference

## Classes
struct | KeyedContainerDict
struct | KeyedObjectDict

## Functions
std::string | typeName (const std::type_info &typ)
std::string | vectorName (const std::type_info &typ)
std::string | vectorName (const std::string &typ)
std::string | pairName (const std::type_info &typ1, const std::type_info &typ2)
std::string | relationName (const std::string &prefix, const std::type_info &typ1, const std::type_info &typ2)
std::string | templateName1 (std::string templ, const std::type_info &typ)
std::string | templateName1 (std::string templ, const std::string &typ)
std::string | templateName2 (std::string templ, const std::type_info &typ1, const std::type_info &typ2)
std::string | templateName3 (std::string templ, const std::type_info &typ1, const std::type_info &typ2, const std::type_info &typ3)
std::string | keyedContainerName (const std::string &prefix, const std::type_info &typ1)

## Function Documentation

## ◆ keyedContainerName()

std::string GaudiDict::keyedContainerName | ( | const std::string & | prefix,
|  | const std::type_info & | typ1
| ) |  |

Definition at line 69 of file Dictionary.cpp.

69 {
70 std::string s = "KeyedContainer<";
71 s += typeName( typ1 );
72 s += ",";
73 s += mgr_typ;
74 if ( mgr_typ[mgr_typ.length() - 1] == '>' ) s += " ";
75 s += ">";
76 return clean( s );
77 }
std::string
STL class.
gaudirun.s
string s
Definition: gaudirun.py:316
GaudiDict::typeName
std::string typeName(const std::type_info &typ)
Definition: Dictionary.cpp:21

## ◆ pairName()

std::string GaudiDict::pairName | ( | const std::type_info & | typ1,
|  | const std::type_info & | typ2
| ) |  |

Definition at line 65 of file Dictionary.cpp.

65 {
66 return templateName2( "std::pair", typ1, typ2 );
67 }
GaudiDict::templateName2
std::string templateName2(std::string templ, const std::type_info &typ1, const std::type_info &typ2)
Definition: Dictionary.cpp:40

## ◆ relationName()

std::string GaudiDict::relationName | ( | const std::string & | prefix,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2
| ) |  |

Definition at line 79 of file Dictionary.cpp.

80 {
81 return "";
82 }

## ◆ templateName1() [1/2]

std::string GaudiDict::templateName1 | ( | std::string | templ,
|  | const std::type_info & | typ
| ) |  |

Definition at line 29 of file Dictionary.cpp.

29 {
30 return templateName1( std::move( templ ), typeName( typ ) );
31 }
std::move
T move(T... args)
GaudiDict::templateName1
std::string templateName1(std::string templ, const std::string &typ)
Definition: Dictionary.cpp:33
GaudiDict::typeName
std::string typeName(const std::type_info &typ)
Definition: Dictionary.cpp:21

## ◆ templateName1() [2/2]

std::string GaudiDict::templateName1 | ( | std::string | templ,
|  | const std::string & | typ
| ) |  |

Definition at line 33 of file Dictionary.cpp.

33 {
34 s += "<";
35 s += typ;
36 s += ( s.back() == '>' ) ? " >" : ">"; // with C++11, we can have <somename<T>>...
37 return clean( s );
38 }
gaudirun.s
string s
Definition: gaudirun.py:316

## ◆ templateName2()

std::string GaudiDict::templateName2 | ( | std::string | templ,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2
| ) |  |

Definition at line 40 of file Dictionary.cpp.

40 {
41 s += "<";
42 s += typeName( typ1 );
43 s += ",";
44 s += typeName( typ2 );
45 s += ( s.back() == '>' ) ? " >" : ">";
46 return clean( s );
47 }
gaudirun.s
string s
Definition: gaudirun.py:316
GaudiDict::typeName
std::string typeName(const std::type_info &typ)
Definition: Dictionary.cpp:21

## ◆ templateName3()

std::string GaudiDict::templateName3 | ( | std::string | templ,
|  | const std::type_info & | typ1,
|  | const std::type_info & | typ2,
|  | const std::type_info & | typ3
| ) |  |

Definition at line 49 of file Dictionary.cpp.

50 {
51 s += "<";
52 s += typeName( typ1 );
53 s += ",";
54 s += typeName( typ2 );
55 s += ",";
56 s += typeName( typ3 );
57 s += ( s.back() == '>' ) ? " >" : ">";
58 return clean( s );
59 }
gaudirun.s
string s
Definition: gaudirun.py:316
GaudiDict::typeName
std::string typeName(const std::type_info &typ)
Definition: Dictionary.cpp:21

## ◆ typeName()

std::string GaudiDict::typeName | ( | const std::type_info & | typ | ) |

Definition at line 21 of file Dictionary.cpp.

21 {
22 std::string r = clean( System::typeinfoName( typ ) );
23 // if ( r.compare(0,4,"enum") == 0 ) {
24 // r = "int";
25 //}
26 return r;
27 }
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:298
std::string
STL class.

## ◆ vectorName() [1/2]

std::string GaudiDict::vectorName | ( | const std::type_info & | typ | ) |

Definition at line 61 of file Dictionary.cpp.

61 { return templateName1( "std::vector", typ ); }
GaudiDict::templateName1
std::string templateName1(std::string templ, const std::string &typ)
Definition: Dictionary.cpp:33

## ◆ vectorName() [2/2]

std::string GaudiDict::vectorName | ( | const std::string & | typ | ) |

Definition at line 63 of file Dictionary.cpp.

63 { return templateName1( "std::vector", typ ); }
GaudiDict::templateName1
std::string templateName1(std::string templ, const std::string &typ)
Definition: Dictionary.cpp:33